package com.xinelu.familydoctor.service;

import com.xinelu.familydoctor.entity.*;
import com.xinelu.familydoctor.vo.PhysicalLastRecordVO;

import java.util.List;
import java.util.Map;

public interface PhysicalSignService {
    void saveBg(DeviceBgRecord record);
    void saveBp(DeviceBpRecord record);
    void saveBf(DeviceBfRecord record);
    void saveBmi(DeviceBmiRecord record);
    void saveBo(DeviceBoRecord record);
    void saveHr(DeviceHrRecord record);
    void saveTemp(DeviceTempRecord record);
    /**
     * 获取体征记录
     * @param identity 身份证号
     * @param type 时间类型0：全部1：周2：月3：年
     * @param label 查询标识1：血糖2：血压3：血脂4：bmi5：血氧6：心率7：体温
     * @return {@link java.util.Map<java.lang.String,java.lang.Object>}
     * @author gaoyu
     * @date 2023-10-9 10:10
    */
    Map<String, Object> record(String identity, String type, String label);

    /**
     * 获取最后一次记录
     * @param identity 身份证号
     * @return {@link java.util.List<com.xinelu.familydoctor.vo.PhysicalLastRecordVO>}
     * @author gaoyu
     * @date 2023-10-20 14:56
    */
    List<PhysicalLastRecordVO> getLastRecord(String identity);
}
